[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: "libgtk-x11-2.0.so.0: cannot open shared object file"

Thanks Florian.

I will install the apt-file tool.

I believe I have a later version of the libgtk2.0-0 package installed,
so I think Eclipse must be having touble finding the file. I'll post a
message to an Eclipse forum to see how I can fix this.

Thank you for your help.

Scott Huey

On 9/4/07, Florian Kulzer <florian.kulzer+debian@icfo.es> wrote:
> On Tue, Sep 04, 2007 at 06:34:45 -0700, Redefined Horizons wrote:
> > I'm trying to run the latest build of the Eclipse IDE on Debian. When
> > I try to start the program I receive an error about a shared library:
> >
> > "error while loading shared libraries: libgtk-x11-2.0.so.0: cannot
> > open shared object file: No such file or directory"
> >
> > I've never had trouble running Eclipse before, although they may have
> > added a dependency to this library in the latest version. I looked
> > online for a libgtk-x11-2.0 deb, but I couldn't find one.
> Install the "apt-file" package; it has a tool that allows you to search
> filenames in all packages known to apt. In your case
> apt-file search libgtk-x11-2.0.so.0
> will tell you that your missing library is part of the "libgtk2.0-0"
> package.
> --
> Regards,            | http://users.icfo.es/Florian.Kulzer
>          Florian   |
> --
> To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: